%define name 	piave
%define version 0.2.3
%define release 10mdk

%define major   0
%define libname %mklibname %name %major

Summary: 	Piave Is A Video Editor
Name:		%name
Version:	%version
Release:	%release
License:	GPL
Group:		Video
Source: 	http://prdownloads.sourceforge.net/modesto/%name-%version.tar.bz2
Source1:	piave-dv1394.h.bz2
Source2:	piave-ieee1394-ioctl.h.bz2
Patch0:		piave_build_hack.patch.bz2
Patch1:		piave_build_fix.patch.bz2
Patch2:		piave-fix-gcc-3.4.patch.bz2
Patch3:		piave-0.2.3-no-system-dv1394_h.patch.bz2
URL:		http://modesto.sourceforge.net/piave/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildRequires:  libcdda-devel libsamplerate-devel libsndfile-devel audiofile-devel
BuildRequires:  libxml2-devel libfam-devel libalsa-devel libvorbis-devel
BuildRequires:  jpeg-devel png-devel
BuildRequires:  arts-devel nas-devel
BuildRequires:  libdv-devel freetype2-devel libavc1394-devel SDL_image1.2-devel
BuildRequires:	mad-devel
BuildRequires:  libart_lgpl-devel
BuildRequires:  gettext-devel libraw1394-devel libdv-devel
Requires:		%libname = %version-%release


%description
PIAVE is a render and effect engine, developed and currently running on
GNU/Linux. PIAVE can be used in various ways. You can link your own project
with libpiave and use its features. The Modesto GUI does this. As a standalone
application PIAVE can read the description of a project in VEML format (XML)
and start rendering. In server mode, you can connect a client (e.g. a GUI) to
PIAVE via a unix or tcp socket and remote control the engine. KdenLive uses
this feature.

%package -n %libname
Group: 		System/Libraries
Summary: 	Libraries from %name
Provides: 	lib%name = %version-%release

%description -n %libname
Dynamic libraries from %name

%package -n %libname-devel
Group: 		Development/Other
Summary: 	Libraries from %name
Requires:	%libname = %version-%release
Provides:	lib%name-devel = %version-%release
Provides: 	%{name}-devel = %{version}-%{release}

%description -n %libname-devel
Static library and header files from %name

%prep
%setup -q
%patch0 -p1 -b .build_hack
%patch1 -p1 -b .build_fix
%patch2 -p1 -b .fix_gcc_3.4
%patch3 -p1 -b .no-system-dv1394_h

bzcat %{SOURCE1} >libpiave/dv1394.h
bzcat %{SOURCE2} >libpiave/ieee1394-ioctl.h

%build
./bootstrap
%configure --disable-nls
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO examples/*.veml
%{_bindir}/*

%files -n %libname
%defattr(-,root,root)
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/plugins/*/*.so
%{_libdir}/libpiave.so.0*

%files -n %libname-devel
%defattr (-,root,root)
%{_includedir}/libpiave
%dir %{_libdir}/%{name}/plugins/
%dir %{_libdir}/%{name}/plugins/iostream/
%dir %{_libdir}/%{name}/plugins/effects/
%{_libdir}/%{name}/plugins/*/*.a
%{_libdir}/%{name}/plugins/*/*.la
%{_libdir}/libpiave.a
%{_libdir}/libpiave.la
%{_libdir}/libpiave.so

%changelog
* Mon Jan 31 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.3-10mdk
- Rebuild

* Fri Jul 16 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.2.3-9mdk
- add BuildRequires: libraw1394-devel libdv-devel
- Patch3 and Source 1+2: supply dv1394.h - it's not in libdv anymore

* Sat Jun 19 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.2.3-8mdk
- add BuildRequires: gettext-devel

* Tue Jun 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.3-7mdk
- Fix requires

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.3-6mdk
- Rebuild

* Wed Apr  7 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.2.3-5mdk
- buildrequires

* Tue Feb 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.3-4mdk
- Fix distlint

* Tue Feb 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.3-3mdk
- Fix BuildRequires

* Mon Dec 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.3-2mdk
- Use Austin Acton <austin@linux.ca> spec file 

* Sat Dec 13 2003 Austin Acton <austin@linux.ca> 0.2.3-1mdk
- initial Mandrake package
